%define cpanname IO-Socket-INET6

Name:    perl-%{cpanname}
Version: 2.51
Release: 1.ker.rhel4
Summary: IO::Socket::INET6 - Object interface for AF_INET|AF_INET6 domain sockets
License: Distributable
Group:   Development/Libraries
Source0: %{cpanname}-%{version}.tar.gz
URL:     http://search.cpan.org/search?mode=module&query=%{cpanname}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl-Socket6

%description
IO::Socket::INET6 provides an object interface to creating and using sockets in
either AF_INET or AF_INET6 domains. It is built upon the IO::Socket interface
and inherits all the methods defined by IO::Socket.

%prep
%setup -q -n %{cpanname}-%{version} 

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
#make test

%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc ChangeLog README

%changelog
* Wed Mar 02 2005 Milan Kerslager <kerslage@linux.cz> 5.0.1-1.ker.rhel4
- new package for RHEL4
